org.eclipse.gef.layout.algorithms

## Class RadialLayoutAlgorithm

- java.lang.Object
- - org.eclipse.gef.layout.algorithms.RadialLayoutAlgorithm

All Implemented Interfaces:
  ILayoutAlgorithm

    public class RadialLayoutAlgorithm
    extends java.lang.Object
    implements ILayoutAlgorithm

This layout will take the given entities, apply a tree layout to them, and then display the tree in a circular fashion with the roots in the center.

### Constructor Summary

Constructors
Constructor and Description
`RadialLayoutAlgorithm()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyLayout(LayoutContext layoutContext, boolean clean)` Makes this algorithm perform layout computation and apply it to its context.
`boolean` `isResizing()`
`void` `setRangeToLayout(double startDegree, double endDegree)` Set the range the radial layout will use when `applyLayout(LayoutContext, boolean)` is called.
`void` `setResizing(boolean resizing)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RadialLayoutAlgorithm

    public RadialLayoutAlgorithm()

Default constructor.

### Method Detail

#### applyLayout

    public void applyLayout(LayoutContext layoutContext,
                            boolean clean)

Description copied from interface: `ILayoutAlgorithm`
Makes this algorithm perform layout computation and apply it to its context.

Specified by:
  `applyLayout` in interface `ILayoutAlgorithm`
Parameters:
  `layoutContext` - The `LayoutContext` that provides all relevant information about what to layout.
  `clean` - if true the receiver should assume that the layout context has changed significantly and recompute the whole layout even if it keeps track of changes with listeners. False can be used after dynamic layout in a context is turned back on so that layout algorithm working in background can apply accumulated changes. Static layout algorithm can ignore this call entirely if clean is false.

#### setRangeToLayout

    public void setRangeToLayout(double startDegree,
                                 double endDegree)

Set the range the radial layout will use when `applyLayout(LayoutContext, boolean)` is called. Both values must be in radians.

Parameters:
  `startDegree` - The start angle for this algorithm (in degree).
  `endDegree` - The end angle for this algorithm (in degree).

#### isResizing

    public boolean isResizing()

Returns:
  true if this algorithm is set to resize elements

#### setResizing

    public void setResizing(boolean resizing)

Parameters:
  `resizing` - true if this algorithm should resize elements (default is false)